Skip to main content
DELETE
/
collections
/
{collection_name}
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.delete_collection("example-collection")

Documentation Index

Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt

Use this file to discover all available pages before exploring further.

from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.delete_collection("example-collection")

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:202601-alpha
required

Required date-based version header

Path Parameters

collection_name
string
required

The name of the collection.

Response

The collection has been successfully deleted.